#!/bin/csh -f

#
# reconfigure the configuration ROMs.
#
# erase and then write a .rpd file for each iFPGA's ROM.
#

if ( $#argv < 2 ) then
    echo "reconfigure the configuration ROM(s) of iFPGA(s).";
    echo "  usage: $0 <.rpd file> [device IDs]";
    echo "     ex) $0 g5pipe.rpd 0 1 2 3";
    exit;
endif

set rpdfile = $argv[1];

while ($#argv > 1)
    shift argv
    set devid = $argv[1];
#    echo "erasing ROM of iFPGA[${devid}]"
    ./hibtest 19 ${devid};
#    echo "writing ${rpdfile} to ROM of iFPGA[${devid}]"
    ./hibtest 20 ${rpdfile} ${devid};
end
